# Uses of Class
org.apache.commons.math3.stat.descriptive.rank.Median

Packages that use Median
Package
Description
org.apache.commons.math3.stat.descriptive.rank
Summary statistics based on ranks.

## Uses of Median in org.apache.commons.math3.stat.descriptive.rank

Methods in org.apache.commons.math3.stat.descriptive.rank that return Median
Modifier and Type
Method
Description
`Median`
Median.`withEstimationType(Percentile.EstimationType newEstimationType)`
Build a new instance similar to the current one except for the `estimation type`.
`Median`
Median.`withKthSelector(KthSelector newKthSelector)`
Build a new instance similar to the current one except for the `kthSelector` instance specifically set.
`Median`
Median.`withNaNStrategy(NaNStrategy newNaNStrategy)`
Build a new instance similar to the current one except for the `NaN handling` strategy.
Constructors in org.apache.commons.math3.stat.descriptive.rank with parameters of type Median
Modifier
Constructor
Description
``
`Median(Median original)`
Copy constructor, creates a new `Median` identical to the `original`